.\" Copyright (c) 1985 Regents of the University of California.
.\" All rights reserved.  The Berkeley software License Agreement
.\" specifies the terms and conditions for redistribution.
.\"
.\"	@(#)asinh.3m	6.2 (Berkeley) 5/12/86
.\"
.TH ASINH 3M  "May 12, 1986"
.UC 6
.ds up \fIulp\fR
.SH NAME
asinh, acosh, atanh \- inverse hyperbolic functions
.SH SYNOPSIS
.nf
.B #include <math.h>
.PP
.B double asinh(x)
.B double x;
.PP
.B double acosh(x)
.B double x;
.PP
.B double atanh(x)
.B double x;
.fi
.SH DESCRIPTION
These functions compute the designated inverse hyperbolic functions for real
arguments.
.SH ERROR (due to Roundoff etc.)
These functions inherit much of their error from log1p described in
exp(3M).  On a VAX, acosh is accurate to about 3 \*(ups,
asinh and atanh to about 2 \*(ups.
An \*(up is one \fIU\fRnit in the \fIL\fRast \fIP\fRlace carried.
.SH DIAGNOSTICS
Acosh returns the reserved operand on a VAX if the argument is less than 1.
.PP
Atanh returns the reserved operand on a VAX if the argument has absolute
value bigger than or equal to 1.
.SH SEE ALSO
math(3M), exp(3M), infnan(3M)
.SH AUTHOR
W. Kahan, Kwok\-Choi Ng
