.\" Copyright (c) 1985 Regents of the University of California.
.\" All rights reserved.  The Berkeley software License Agreement
.\" specifies the terms and conditions for redistribution.
.\"
.\"	@(#)sqrt.3m	6.2 (Berkeley) 5/12/86
.\"
.TH SQRT 3M  "May 12, 1986"
.UC 6
.ds up \fIulp\fR
.SH NAME
cbrt, sqrt \- cube root, square root
.SH SYNOPSIS
.nf
.B #include <math.h>
.PP
.B double cbrt(x)
.B double x;
.PP
.B double sqrt(x)
.B double x;
.fi
.SH DESCRIPTION
Cbrt(x) returns the cube root of x.
.PP
Sqrt(x) returns the square root of x.
.SH DIAGNOSTICS
On a VAX, sqrt(negative)
returns the reserved operand and sets \fIerrno\fR to EDOM .
.SH ERROR (due to Roundoff etc.)
Cbrt is accurate to within 0.7 \*(ups.
.br
Sqrt on a VAX is accurate to within 0.501 \*(ups.
.br
Sqrt on a machine that conforms to IEEE 754 is correctly rounded
in accordance with the rounding mode in force; the error is less than
half an \*(up in the default mode (round\-to\-nearest).
An \*(up is one \fIU\fRnit in the \fIL\fRast \fIP\fRlace carried.
.SH SEE ALSO
math(3M), infnan(3M)
.SH AUTHOR
W. Kahan
